Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.streaming.json
Class EmptyJsonHandler

    java.lang.Object
      com.ibm.portal.streaming.json.EmptyJsonHandler

Deprecated. use `EmptyJsonContentHandler` instead

    @Deprecated
    public class EmptyJsonHandler

extends java.lang.Object

Implementation of a `JSONHandler` that does nothing

Since:
  7.0.0

Constructor Summary
`EmptyJsonHandler()` Deprecated.

Method Summary
`void` | `endArray()` Deprecated.
`void` | `endDocument()` Deprecated.
`void` | `endJSONObject()` Deprecated.
`void` | `endPair()` Deprecated.
`void` | `pair(java.lang.String name, boolean value)` Deprecated.
`void` | `pair(java.lang.String name, double value)` Deprecated.
`void` | `pair(java.lang.String name, int value)` Deprecated.
`void` | `pair(java.lang.String name, java.lang.String value)` Deprecated.
`void` | `startArray()` Deprecated.
`void` | `startDocument()` Deprecated.
`void` | `startJSONObject()` Deprecated.
`void` | `startPair(java.lang.String name)` Deprecated.
`void` | `value(boolean aValue)` Deprecated.
`void` | `value(double aValue)` Deprecated.
`void` | `value(int aValue)` Deprecated.
`void` | `value(java.lang.String aValue)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyJsonHandler

    public EmptyJsonHandler()

  Deprecated.

Method Detail

### endArray

    public void endArray()
                  throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### endDocument

    public void endDocument()
                     throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### endJSONObject

    public void endJSONObject()
                       throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### endPair

    public void endPair()
                 throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### pair

    public void pair(java.lang.String name,
                     java.lang.String value)
              throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### pair

    public void pair(java.lang.String name,
                     int value)
              throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### pair

    public void pair(java.lang.String name,
                     double value)
              throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### pair

    public void pair(java.lang.String name,
                     boolean value)
              throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### startArray

    public void startArray()
                    throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### startDocument

    public void startDocument()
                       throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### startJSONObject

    public void startJSONObject()
                         throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### startPair

    public void startPair(java.lang.String name)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### value

    public void value(java.lang.String aValue)
               throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### value

    public void value(boolean aValue)
               throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### value

    public void value(double aValue)
               throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### value

    public void value(int aValue)
               throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD